-- 
-- Structure de la table `accede`
-- 

CREATE TABLE `accede` (
  `ID_GROUPE` int(11) NOT NULL,
  `ID_MODULE` int(11) NOT NULL,
  PRIMARY KEY  (`ID_GROUPE`,`ID_MODULE`),
  KEY `FK_ACCEDE1` (`ID_GROUPE`),
  KEY `FK_ACCEDE2` (`ID_MODULE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1;

-- 
-- Contenu de la table `accede`
-- 

INSERT INTO `accede` (`ID_GROUPE`, `ID_MODULE`) VALUES 
(2, 1),
(2, 30),
(1, 1),
(1, 2),
(1, 3),
(1, 4),
(1, 5),
(1, 6),
(1, 31);

-- --------------------------------------------------------

-- 
-- Structure de la table `groupe`
-- 

CREATE TABLE `groupe` (
  `ID_GROUPE` int(11) NOT NULL auto_increment,
  `NOM_GROUPE` varchar(255) default NULL,
  PRIMARY KEY  (`ID_GROUPE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=8 ;

-- 
-- Contenu de la table `groupe`
-- 

INSERT INTO `groupe` (`ID_GROUPE`, `NOM_GROUPE`) VALUES 
(1, 'administrateur'),
(2, 'visiteur');

-- --------------------------------------------------------

-- 
-- Structure de la table `linkday`
-- 

CREATE TABLE `linkday` (
  `ID_LINKDAY` int(11) NOT NULL auto_increment,
  `TITRE_LINKDAY` varchar(255) default NULL,
  `DATE_LINKDAY` datetime default NULL,
  `DESC_LINKDAY` varchar(255) default NULL,
  `LINK_LINKDAY` varchar(255) default NULL,
  PRIMARY KEY  (`ID_LINKDAY`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=14 ;


-- 
-- Contenu de la table `linkday`
-- 

INSERT INTO `linkday` (`TITRE_LINKDAY`, `DATE_LINKDAY`,`DESC_LINKDAY`,`LINK_LINKDAY`) VALUES 
('EasyBrick.fr', now(),'Site pilote de la solution EasySite.','http://www.easybrick.fr/');

-- --------------------------------------------------------

-- 
-- Structure de la table `module`
-- 

CREATE TABLE `module` (
  `ID_MODULE` int(11) NOT NULL auto_increment,
  `NOM_MODULE` varchar(256) default NULL,
  PRIMARY KEY  (`ID_MODULE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=19 ;

-- 
-- Contenu de la table `module`
-- 

INSERT INTO `module` (`ID_MODULE`, `NOM_MODULE`) VALUES 
(1, 'Accueil'),
(2, 'Profil'),
(3, 'Utilisateur'),
(4, 'Module'),
(5, 'Rss'),
(6, 'Themes'),
(30, 'Connexion'),
(31, 'Deconnexion')
;

-- --------------------------------------------------------

-- 
-- Structure de la table `personne`
-- 

CREATE TABLE `personne` (
  `ID_PERSONNE` int(11) NOT NULL auto_increment,
  `ID_GROUPE` int(11) NOT NULL,
  `NOM_PERSONNE` varchar(256) default NULL,
  `PRENOM_PERSONNE` varchar(256) default NULL,
  `LOGIN_PERSONNE` varchar(20) default NULL,
  `PWD_PERSONNE` varchar(255) default NULL,
  `MAIL_PERSONNE` varchar(50) default NULL,
  PRIMARY KEY  (`ID_PERSONNE`),
  KEY `FK_APPARTIENT` (`ID_GROUPE`)
) ENGINE=InnoDB DEFAULT CHARSET=latin1 AUTO_INCREMENT=9 ;


-- --------------------------------------------------------

-- 
-- Contraintes pour les tables exportes
-- 

-- 
-- Contraintes pour la table `accede`
-- 
ALTER TABLE `accede`
  ADD CONSTRAINT `FK_ACCEDE` FOREIGN KEY (`ID_GROUPE`) REFERENCES `groupe` (`ID_GROUPE`),
  ADD CONSTRAINT `FK_ACCEDE2` FOREIGN KEY (`ID_MODULE`) REFERENCES `module` (`ID_MODULE`);

-- 
-- Contraintes pour la table `personne`
-- 
ALTER TABLE `personne`
  ADD CONSTRAINT `FK_APPARTIENT` FOREIGN KEY (`ID_GROUPE`) REFERENCES `groupe` (`ID_GROUPE`);
